<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/PlaylistParser/include/PlaylistParser/ContentDecrypter.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html">PlaylistParser</a></li><li class="navelem"><a class="el" href="dir_057ee5c37ac9c880ef5f0b623529f2e3.html">include</a></li><li class="navelem"><a class="el" href="dir_0ae71fe8a08302c61b29252af9be9328.html">PlaylistParser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ContentDecrypter.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_content_decrypter_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_PLAYLISTPARSER_INCLUDE_PLAYLISTPARSER_CONTENTDECRYPTER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_PLAYLISTPARSER_INCLUDE_PLAYLISTPARSER_CONTENTDECRYPTER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;atomic&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_attachment_writer_8h.html">AVSCommon/AVS/Attachment/AttachmentWriter.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_playlist_parser_8h.html">PlaylistParser/PlaylistParser.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">   30</a></span>&#160;<span class="keyword">namespace </span>playlistParser {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">   33</a></span>&#160;<span class="keyword">typedef</span> std::vector&lt;unsigned char&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">ContentDecrypter</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a> {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a353cf8c4b80fe7733e1ff990411a27b0">ContentDecrypter</a>();</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a16124727d77e0a6029da3652908b5db5">writeMediaInitSection</a>(</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; mediaInitSection,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; streamWriter);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#ab1199ec3898a419ef1623927296bba91">decryptAndWrite</a>(</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; encryptedContent,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; key,</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">avsCommon::utils::playlistParser::EncryptionInfo</a>&amp; encryptionInfo,</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; streamWriter);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a2669cae1f951812c695339c40c5a7588">convertIVToByteArray</a>(<span class="keyword">const</span> std::string&amp; hexIV, <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>* ivByteArray);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a44fedb381e9aa5afbf5020c0dc97b3c6">doShutdown</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a> prependMediaInitSection(<span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; bytes) <span class="keyword">const</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">int</span> decryptAES(</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; encryptedContent,</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; key,</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; iv,</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>* decryptedContent,</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordtype">bool</span> usePadding = <span class="keyword">true</span>);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordtype">bool</span> decryptSampleAES(</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; encryptedContent,</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; key,</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; iv,</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>* decryptedContent);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">bool</span> writeToStream(</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a>&amp; content,</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; streamWriter);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> logAVError(<span class="keyword">const</span> <span class="keywordtype">char</span>* event, <span class="keyword">const</span> <span class="keywordtype">char</span>* reason, <span class="keywordtype">int</span> averror);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keyword">struct </span>ByteBuffer {</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        uint8_t* data;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordtype">int</span> len;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordtype">int</span> pos;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    };</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span> bytesRemaining(uint8_t* pos, uint8_t* end);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">ByteVector</a> m_mediaInitSection;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    std::atomic&lt;bool&gt; m_shuttingDown;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;};</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;}  <span class="comment">// namespace playlistParser</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_PLAYLISTPARSER_INCLUDE_PLAYLISTPARSER_CONTENTDECRYPTER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html_a353cf8c4b80fe7733e1ff990411a27b0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a353cf8c4b80fe7733e1ff990411a27b0">alexaClientSDK::playlistParser::ContentDecrypter::ContentDecrypter</a></div><div class="ttdeci">ContentDecrypter()</div><div class="ttdef"><b>Definition:</b> ContentDecrypter.cpp:166</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">alexaClientSDK::playlistParser::ContentDecrypter</a></div><div class="ttdef"><b>Definition:</b> ContentDecrypter.h:38</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html_a44fedb381e9aa5afbf5020c0dc97b3c6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a44fedb381e9aa5afbf5020c0dc97b3c6">alexaClientSDK::playlistParser::ContentDecrypter::doShutdown</a></div><div class="ttdeci">void doShutdown() override</div><div class="ttdef"><b>Definition:</b> ContentDecrypter.cpp:518</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a></div><div class="ttdef"><b>Definition:</b> PlaylistEntry.h:56</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html_a16124727d77e0a6029da3652908b5db5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a16124727d77e0a6029da3652908b5db5">alexaClientSDK::playlistParser::ContentDecrypter::writeMediaInitSection</a></div><div class="ttdeci">void writeMediaInitSection(const ByteVector &amp;mediaInitSection, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentWriter &gt; streamWriter)</div><div class="ttdef"><b>Definition:</b> ContentDecrypter.cpp:175</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_attachment_writer_8h_html"><div class="ttname"><a href="_attachment_writer_8h.html">AttachmentWriter.h</a></div></div>
<div class="ttc" id="_playlist_parser_8h_html"><div class="ttname"><a href="_playlist_parser_8h.html">PlaylistParser.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html_a2669cae1f951812c695339c40c5a7588"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#a2669cae1f951812c695339c40c5a7588">alexaClientSDK::playlistParser::ContentDecrypter::convertIVToByteArray</a></div><div class="ttdeci">static bool convertIVToByteArray(const std::string &amp;hexIV, ByteVector *ivByteArray)</div><div class="ttdef"><b>Definition:</b> ContentDecrypter.cpp:238</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1playlist_parser_html_abb353a54a9bac083933edf0b95d28cbd"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd">alexaClientSDK::playlistParser::ByteVector</a></div><div class="ttdeci">std::vector&lt; unsigned char &gt; ByteVector</div><div class="ttdoc">Alias for bytes. </div><div class="ttdef"><b>Definition:</b> ContentDecrypter.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter_html_ab1199ec3898a419ef1623927296bba91"><div class="ttname"><a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html#ab1199ec3898a419ef1623927296bba91">alexaClientSDK::playlistParser::ContentDecrypter::decryptAndWrite</a></div><div class="ttdeci">bool decryptAndWrite(const ByteVector &amp;encryptedContent, const ByteVector &amp;key, const avsCommon::utils::playlistParser::EncryptionInfo &amp;encryptionInfo, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentWriter &gt; streamWriter)</div><div class="ttdef"><b>Definition:</b> ContentDecrypter.cpp:193</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
